Index: src/defs.hpp
===================================================================
--- src/defs.hpp	(revision b0a0c3848d8b7c7dd67aad39324d6c2a6b8f507a)
+++ src/defs.hpp	(revision 10f6416d40d305bb1142dd1702e26b15d8bb910d)
@@ -37,4 +37,17 @@
 enum value_type { string_type, double_type, int_type, row_int, row_double, grid, lower_trigrid, upper_trigrid}; 
 
+// various standard filenames
+#define KEYSETFILE "KeySets.dat"
+#define ADJACENCYFILE "Adjacency.dat"
+#define TEFACTORSFILE "TE-Factors.dat"
+#define FORCESFILE "Forces-Factors.dat"
+#define FRAGMENTPREFIX "BondFragment"
+#define STANDARDCONFIG "unknown.conf"
+#define STANDARDELEMENTSDB "elements.db"
+#define STANDARDVALENCEDB "valence.db"
+#define STANDARDORBITALDB "orbitals.db"
+#define STANDARDHBONDDISTANCEDB "Hbonddistance.db"
+#define STANDARDHBONDANGLEDB "Hbondangle.db"
+
 
 #endif /*DEFS_HPP_*/
Index: src/moleculelist.cpp
===================================================================
--- src/moleculelist.cpp	(revision b0a0c3848d8b7c7dd67aad39324d6c2a6b8f507a)
+++ src/moleculelist.cpp	(revision 10f6416d40d305bb1142dd1702e26b15d8bb910d)
@@ -385,5 +385,5 @@
   strcpy(PathBackup, configuration->GetDefaultPath());
   // open file for the total energy factor
-  sprintf(TEFilename, "%s/%s%s", PathBackup, prefix, "TE-Factors.dat");
+  sprintf(TEFilename, "%s/%s%s", PathBackup, prefix, TEFACTORSFILE);
   output.open(TEFilename, ios::out);
   // output TEList (later to file AtomicTEList.dat)
@@ -402,5 +402,5 @@
   
   // open file for the force factors
-  sprintf(TEFilename, "%s/%s%s", PathBackup, prefix, "Forces-Factors.dat");
+  sprintf(TEFilename, "%s/%s%s", PathBackup, prefix, FORCESFILE);
   output.open(TEFilename, ios::out);
   //cout << Verbose(1) << "Final AtomicForcesList: ";
Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision b0a0c3848d8b7c7dd67aad39324d6c2a6b8f507a)
+++ src/molecules.cpp	(revision 10f6416d40d305bb1142dd1702e26b15d8bb910d)
@@ -1895,5 +1895,5 @@
   cout << Verbose(1) << "Parsing the KeySet file ... ";
   // open file and read
-  sprintf(filename, "%s/%s%s", path, "BondFragment", "KeySets.dat");
+  sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, KEYSETFILE);
   KeySetFile.open(filename);
   if (KeySetFile != NULL) {
@@ -1944,5 +1944,5 @@
   bool status = true;
 
-  sprintf(filename, "%s/%s%s", path, "BondFragment", "Adjacency.dat");
+  sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, ADJACENCYFILE);
   AdjacencyFile.open(filename);
   cout << Verbose(1) << "Saving adjacency list ... ";
@@ -1979,5 +1979,5 @@
   bool status = true;
   
-  sprintf(filename, "%s/%s%s", path, "BondFragment", "Adjacency.dat");
+  sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, ADJACENCYFILE);
   File.open(filename);
   *out << Verbose(1) << "Looking at bond structure stored in adjacency file and comparing to present one ...";
Index: src/parser.cpp
===================================================================
--- src/parser.cpp	(revision b0a0c3848d8b7c7dd67aad39324d6c2a6b8f507a)
+++ src/parser.cpp	(revision 10f6416d40d305bb1142dd1702e26b15d8bb910d)
@@ -43,5 +43,5 @@
   stringstream line;
 
-  line << argv[1] << FactorsFile;
+  line << argv[1] << FRAGMENTPREFIX << TEFACTORSFILE;
   return FilePresent(line.str().c_str());
 };
@@ -106,5 +106,5 @@
   // count the number of matrices
   MatrixCounter = -1; // we count one too much
-  line << name << FactorsFile;
+  line << name << FRAGMENTPREFIX << TEFACTORSFILE;
   input.open(line.str().c_str(), ios::in);
   if (input == NULL) {
@@ -127,5 +127,5 @@
     FragmentNumber = FixedDigitNumber(MatrixCounter, i);
     if (i != MatrixCounter)  
-      line << name << FragmentPrefix << FragmentNumber << "/" << prefix << suffix;
+      line << name << FRAGMENTPREFIX << FragmentNumber << "/" << prefix << suffix;
     else
       line << name << prefix << suffix;
@@ -329,5 +329,5 @@
     stringstream line;
     FragmentNumber = FixedDigitNumber(MatrixCounter, i);
-    line << name << FragmentPrefix << FragmentNumber << "/" << prefix;
+    line << name << FRAGMENTPREFIX << FragmentNumber << "/" << prefix;
     Free((void **)&FragmentNumber, "*FragmentNumber");
     output.open(line.str().c_str(), ios::out);
@@ -424,5 +424,5 @@
   cout << "Parsing force indices." << endl;
   Indices = (int **) Malloc(sizeof(int *)*(MatrixCounter+1), "ForceMatrix::ParseIndices: **Indices");
-  line << name << ForcesFile;
+  line << name << FRAGMENTPREFIX << FORCESFILE;
   input.open(line.str().c_str(), ios::in);
   //cout << "Opening " << line.str() << " ... "  << input << endl;
@@ -439,5 +439,5 @@
     Indices[i] = (int *) Malloc(sizeof(int)*RowCounter[i], "ForceMatrix::ParseIndices: *Indices[]");
     FragmentNumber = FixedDigitNumber(MatrixCounter, i);
-    cout << FragmentPrefix << FragmentNumber << "[" << RowCounter[i] << "]:";
+    cout << FRAGMENTPREFIX << FragmentNumber << "[" << RowCounter[i] << "]:";
     Free((void **)&FragmentNumber, "ForceMatrix::ParseIndices: *FragmentNumber");
     for(int j=0;(j<RowCounter[i]) && (!line.eof());j++) {
@@ -521,5 +521,5 @@
   cout << "Parsing key sets." << endl;
   KeySets = (int **) Malloc(sizeof(int *)*FragmentCounter, "KeySetsContainer::ParseKeySets: **KeySets");
-  line << name << KeySetsFile;
+  line << name << FRAGMENTPREFIX << KEYSETFILE;
   input.open(line.str().c_str(), ios::in);
   if (input == NULL) {
@@ -535,5 +535,5 @@
     KeySets[i] = (int *) Malloc(sizeof(int)*AtomCounter[i], "KeySetsContainer::ParseKeySets: *KeySets[]");
     FragmentNumber = FixedDigitNumber(FragmentCounter, i);
-    cout << FragmentPrefix << FragmentNumber << "[" << AtomCounter[i] << "]:";
+    cout << FRAGMENTPREFIX << FragmentNumber << "[" << AtomCounter[i] << "]:";
     Free((void **)&FragmentNumber, "KeySetsContainer::ParseKeySets: *FragmentNumber");
     input.getline(filename, 1023);
Index: src/parser.hpp
===================================================================
--- src/parser.hpp	(revision b0a0c3848d8b7c7dd67aad39324d6c2a6b8f507a)
+++ src/parser.hpp	(revision 10f6416d40d305bb1142dd1702e26b15d8bb910d)
@@ -18,8 +18,4 @@
 // ======================================= DEFINES ==========================================
 
-#define FactorsFile "BondFragmentTE-Factors.dat"
-#define ForcesFile "BondFragmentForces-Factors.dat"
-#define KeySetsFile "BondFragmentKeySets.dat"
-#define FragmentPrefix "BondFragment"
 #define EnergySuffix ".energy.all"
 #define ForcesSuffix ".forces.all"
Index: src/periodentafel.cpp
===================================================================
--- src/periodentafel.cpp	(revision b0a0c3848d8b7c7dd67aad39324d6c2a6b8f507a)
+++ src/periodentafel.cpp	(revision 10f6416d40d305bb1142dd1702e26b15d8bb910d)
@@ -171,5 +171,5 @@
   // fill elements DB
   if (filename == NULL)
-    infile.open("elements.db");
+    infile.open(STANDARDELEMENTSDB);
   else
     infile.open(filename);
@@ -210,5 +210,5 @@
 
   // fill valence DB per element
-  infile.open("valence.db");
+  infile.open(STANDARDVALENCEDB);
   if (infile != NULL) {
     while (!infile.eof()) {
@@ -225,5 +225,5 @@
 
   // fill valence DB per element
-  infile.open("orbitals.db");
+  infile.open(STANDARDORBITALDB);
   if (infile != NULL) {
     while (!infile.eof()) {
@@ -240,5 +240,5 @@
   
   // fill H-BondDistance DB per element
-  infile.open("Hbonddistance.db");
+  infile.open(STANDARDHBONDDISTANCEDB);
   if (infile != NULL) {
     while (!infile.eof()) {
@@ -258,5 +258,5 @@
   
   // fill H-BondAngle DB per element
-  infile.open("Hbondangle.db");
+  infile.open(STANDARDHBONDANGLEDB);
   if (infile != NULL) {
     while (!infile.eof()) {
